/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "ANTLR3C", "index.html", [
    [ "ANTLR3 C Runtime API and Usage Guide.", "index.html", "index" ],
    [ "Using Sections Within Grammar Files", "atsections.html", [
      [ "Introduction", "atsections.html#intro", [
        [ "Sections @init and @declarations", "atsections.html#psrinit", null ],
        [ "@header section.", "atsections.html#psrheader", null ],
        [ "@includes section", "atsections.html#hdrinclude", null ],
        [ "@preincludes section", "atsections.html#hdrpreinclude", null ],
        [ "@postinclude section", "atsections.html#hdrpostinclude", null ]
      ] ]
    ] ],
    [ "Changes in 3.1 from 3.0", "changes31.html", [
      [ "Constructor Return Values", "changes31.html#returns", null ],
      [ "Tree Parser Rewrites", "changes31.html#trees", null ],
      [ "ANTLRWorks Debugger", "changes31.html#debugger", null ],
      [ "Macro Changes", "changes31.html#macros", null ]
    ] ],
    [ "Interacting with the Generated Code", "interop.html", [
      [ "Parameters and Returns from Parser Rules", "interop.html#rules", null ],
      [ "Memory Management", "interop.html#memory", null ],
      [ "The CTX Macro", "interop.html#ctx", null ],
      [ "Lexer Macros", "interop.html#lexermacros", [
        [ "LEXER", "interop.html#lexer", null ],
        [ "LEXSTATE", "interop.html#lexstate", null ],
        [ "LA(n)", "interop.html#la", null ],
        [ "GETCHARINDEX()", "interop.html#getcharindex", null ],
        [ "GETLINE()", "interop.html#getline", null ],
        [ "GETTEXT()", "interop.html#gettext", null ],
        [ "GETCHARPOSITIONINLINE()", "interop.html#getcharpositioninline", null ],
        [ "EMIT()", "interop.html#emit", null ],
        [ "EMITNEW(t)", "interop.html#emitnew", null ],
        [ "INDEX()", "interop.html#index", null ],
        [ "PUSHSTREAM(str)", "interop.html#pushstream", null ],
        [ "POPSTREAM()", "interop.html#popstream", null ],
        [ "SETTEXT(str)", "interop.html#settext", null ],
        [ "USER1 USER2 USER3 and CUSTOM", "interop.html#user1", null ]
      ] ],
      [ "Parser and Tree Parser Macros", "interop.html#parsermacros", [
        [ "PARSER", "interop.html#parser", null ],
        [ "LT(n) and LA(n)", "interop.html#lt", null ],
        [ "PSRSTATE", "interop.html#psrstate", null ],
        [ "ADAPTOR", "interop.html#adaptor", null ]
      ] ],
      [ "Macros Common to All Recognizers", "interop.html#commonmacros", [
        [ "RECOGNIZER", "interop.html#recognizer", null ],
        [ "INPUT", "interop.html#input", null ],
        [ "MARK()", "interop.html#mark", null ],
        [ "REWIND(m)", "interop.html#rewind", null ],
        [ "REWINDLAST()", "interop.html#rewindlast", null ],
        [ "SEEK(n)", "interop.html#seek", null ]
      ] ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"antlr3commontreeadaptor_8c.html#a359e4d8f1cb4b8e5f3c37aefe005223f",
"antlr3defs_8h.html#a9f74b0ea356c982a02aace838ba87758",
"antlr3rewritestreams_8c.html#ae0ff8ede4d865df041890678c1c813ca",
"group___a_n_t_l_r3___b_a_s_e___r_e_c_o_g_n_i_z_e_r.html#ga3ff933756e4fc6d8fd9a5a8a0d67bb98",
"interop.html#commonmacros",
"struct_a_n_t_l_r3___c_o_m_m_o_n___t_r_e_e___n_o_d_e___s_t_r_e_a_m__struct.html#a4d8e842ea6ede88ae29257fddbdb3bde",
"struct_a_n_t_l_r3___p_a_r_s_e___t_r_e_e__struct.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';